Thanks for that Rui, I've sorted this now :-)

For the benefit of the archives, the solution involved -

I had already tried the "calf-plugins-git" package, so I think "suil-libs" is what solved the problem.

Thanks again

Oliver

---- On Thu, 22 May 2014 18:25:25 +0000 Rui Nuno Capela<rncbc@rncbc.org> wrote ----

On 05/22/2014 11:07 AM, oli_kester wrote:
> Hi, I've another issue in qtractor 0.61 for you - this time on Xubuntu
> 14.04. It's around lv2 plugins, and general instability. LADSPA plugins
> work very reliably.
>
> I've experienced issues with the following plugins, all lv2 -
>
> * Hang, then crash on loading 'amsynth'
> * Crash on plugin UI close on 'abGate'
> * Immediate crash on loading any of the calf plugins :-(
> * Immediate crash on loading any of the guitarix 'Gx' plugins :-(
> * Immediate crash on loading 'Beat Slicer' from avwlv2.sourceforge.net
> * Immediate crash on loading 'Nordic Meter' from gareus.org
> * Immediate crash on loading 'True Peak Meter' from gareus.org
>
> Many of these aren't essential to me, just randomly testing a few I
> happen to have installed. I'd love to have the calf plugins working, but
> I've read on kxstudio somewhere that they removed plugin support - so
> would this no longer be possible? Do I have to use Calf Rack? I'd like
> to keep the automation...
>
> I've unchecked all of the experimental plugin settings for safety, which
> hasn't made any difference. Interestingly, the following is dumped in
> the message box on occasion, I think when loading track properties -
>
>
> (qtractor:21421): Gtk-CRITICAL **: IA__gtk_widget_get_direction:
> assertion 'GTK_IS_WIDGET (widget)' failed
>
>
> (qtractor:21421): Gtk-CRITICAL **: IA__gtk_widget_get_direction:
> assertion 'GTK_IS_WIDGET (widget)' failed
>

calf upstream are notorious to crash qtractor on close or even anytime
the gui is shown up. the above gtk errors are one of many symptoms of
calf breakage ever since its in-process gtk gui takes chances on libsuil
to get shown up on non-gtk hosts.

kxstudio (or is it distrho?) used to ship modified versions that
presents a lv2_external_ui extension interface and is known to work a
lot better in qtractor.

if you're actually using the later then i must conclude that something
is broken on either your system or qtractor or lv2 or suil or calf or
all at once.

however all the meters.lv2 from rgareus play pretty well here though.
there must be something broken at your side and i can figure it out what
then.

>
> I also get this more rarely (note the colour, it's beige if the list
> resets it) -
>
>
> error: failed to expand CURIE `pprops:hasStrictBounds'
>
> error: attempt to add quad with NULL field
>
> error: failed to expand CURIE `pprops:hasStrictBounds'
>
> error: attempt to add quad with NULL field
>
> error: failed to expand CURIE `units:unit'
>
> error: failed to expand CURIE `units:db'
>
> error: attempt to add quad with NULL field
>
>
> Or -
>
> error: failed to expand CURIE `param:OscillatorControls'
>
> error: attempt to add quad with NULL field
>
> error: failed to expand CURIE `param:OscillatorControls'
>
> error: attempt to add quad with NULL field
>
> error: failed to expand CURIE `param:OscillatorControls'
>
> error: attempt to add quad with NULL field
>
> error: failed to expand CURIE `param:OscillatorControls'
>
> error: attempt to add quad with NULL field
>
> error: failed to expand CURIE `param:OscillatorControls'
>
> error: attempt to add quad with NULL field
>
> error: failed to expand CURIE `param:OscillatorControls'
>
> error: attempt to add quad with NULL field
>
> error: failed to expand CURIE `param:OscillatorControls'
>
> error: attempt to add quad with NULL field
>
> error: failed to expand CURIE `param:OscillatorControls'
>
> error: attempt to add quad with NULL field
>
> error: failed to expand CURIE `pprops:hasStrictBounds'
>
> error: attempt to add quad with NULL field
>
> error: failed to expand CURIE `pprops:hasStrictBounds'
>
> error: attempt to add quad with NULL field
>
>
> I presume these would be due to erroneous plugins. Would it be worth me
> installing the debugging symbols to investigate further? Or is this just
> a matter of uninstalling all the bad plugins - I've got all the plugin
> packs from the Ubuntu / kxstudio repos. Can anyone recommend a decent,
> reliable source that gives me most common functions (decent delay,
> reverb, filters etc)? Or should I just be using LADSPA?
>

ask for the latest from kxstudio and/or distrho. ask for the specific
lv2_external_ui implementations of the calf suite.

hth.
cheers
--
rncbc aka Rui Nuno Capela
rncbc@rncbc.org

------------------------------------------------------------------------------
"Accelerate Dev Cycles with Automated Cross-Browser Testing - For FREE
Instantly run your Selenium tests across 300+ browser/OS combos.
Get unparalleled scalability from the best Selenium testing platform available
Simple to use. Nothing to install. Get started now for free."
http://p.sf.net/sfu/SauceLabs
_______________________________________________
Qtractor-devel mailing list
Qtractor-devel@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/qtractor-devel